#include "GameTypeSettings.h"


FGameTypeSettings::FGameTypeSettings()
{
	this->GameType = EGameType::Online;
	this->DisplayTitle = FText::GetEmpty();
	this->Modifiers = TMap<EGameTypeModifierName, FTypeFlexibleTunable>();
	this->MutatorData = NULL;
	this->LockedKillerLoadout = FLoadout{};
	this->LockedSurvivorLoadout = FLoadout{};
	this->OverrideGameObjectiveClasses = TArray<TSubclassOf<AGameObjectiveBase>>();
	this->TunableOverrides = NULL;
	this->KillerItemOverrides = NULL;
	this->OverrideBehaviourDetectionConfiguration = NULL;
}
